Bug 704687 - [abrt] ibus-1.3.99.20110228-6.fc15: connection.py:630:call_blocking:DBusException: org.gtk.GDBus.UnmappedGError.Quark._g_2dio_2derror_2dquark.Code24: Timeout was reached
[abrt] ibus-1.3.99.20110228-6.fc15: connection.py:630:call_blocking:DBusExcep...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:a9077e1f5ebcecaf2720587e289...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-13 22:13 EDT by Ren-Bo Wang
Modified: 2011-05-18 21:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-18 21:17:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ren-Bo Wang 2011-05-13 22:13:15 EDT
abrt version: 2.0.1
architecture:   x86_64
cmdline:        /usr/bin/python /usr/share/ibus/ui/gtk/main.py -s
component:      ibus
executable:     /usr/share/ibus/ui/gtk/main.py
kernel:         2.6.38.2-9.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        ibus-1.3.99.20110228-6.fc15
reason:         connection.py:630:call_blocking:DBusException: org.gtk.GDBus.UnmappedGError.Quark._g_2dio_2derror_2dquark.Code24: Timeout was reached
time:           Sat May 14 10:12:36 2011
uid:            500
username:       PAMC

backtrace:
:connection.py:630:call_blocking:DBusException: org.gtk.GDBus.UnmappedGError.Quark._g_2dio_2derror_2dquark.Code24: Timeout was reached
:
:Traceback (most recent call last):
:  File "/usr/share/ibus/ui/gtk/panel.py", line 511, in __im_menu_item_activate_cb
:    self.__focus_ic.set_engine(engine)
:  File "/usr/lib/python2.7/site-packages/ibus/inputcontext.py", line 238, in set_engine
:    return self.__context.SetEngine(engine.name)
:  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
:    **keywords)
:  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
:    message, timeout)
:DBusException: org.gtk.GDBus.UnmappedGError.Quark._g_2dio_2derror_2dquark.Code24: Timeout was reached
:
:Local variables in innermost frame:
:byte_arrays: False
:self: <dbus.connection.Connection object at 0x1ebba70>
:args: (dbus.String(u'chewing'),)
:utf8_strings: False
:bus_name: 'org.freedesktop.IBus'
:get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
:object_path: dbus.ObjectPath('/org/freedesktop/IBus/InputContext_8')
:timeout: -1.0
:signature: u's'
:dbus_interface: 'org.freedesktop.IBus.InputContext'
:message: <dbus.lowlevel.MethodCallMessage object at 0x1e19b58>
:method: 'SetEngine'
Comment 1 fujiwara 2011-05-16 21:09:33 EDT
(In reply to comment #0)
> package:        ibus-1.3.99.20110228-6.fc15

It's a little old. Please use the latest.

# yum install ibus
# rpm -q ibus
ibus-1.3.99.20110408-3.fc15.x86_64

How do you reproduce your problem? I don't see any problems.
Comment 2 fujiwara 2011-05-18 21:17:39 EDT
If you can reproduce your problem again, please update this report again.
Thanks.

Note You need to log in before you can comment on or make changes to this bug.